Electronics & Programming

develissimo

Open Source electronics development and programming

  • You are not logged in.
  • Root
  • » Java
  • » squeeze blocker: Bug#606295: libhibernate3-java: FTBFS: maven-related errors [RSS Feed]

#1 Dec. 27, 2010 20:59:30

Julien C.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

squeeze blocker: Bug#606295: libhibernate3-java: FTBFS: maven-related errors


user release.debian.***@*ackages.debian.org
usertag 606295 squeeze-is-blocker
kthxbye

On Fri, Dec 24, 2010 at 00:26:26 +0100, Julien Cristau wrote:

> This needs to be fixed for squeeze, we can't support this package if it
> can't be built; and there's a bunch of reverse dependencies so removal
> looks painful. Adding debian-java to cc, help is needed to fix
> libhibernate3-java's build.
>
Now tagging as blocker, and adding -devel to cc, hopefully somebody can
look into this.

> On Sat, Dec 11, 2010 at 13:14:30 -0430, Miguel Landaeta wrote:
>
> > tags 606295 + confirmed help
> > thanks
> >
> > On Wed, Dec 08, 2010 at 09:08:48AM +0100, Lucas Nussbaum wrote:
> > > Source: libhibernate3-java
> > > Version: 3.5.4.Final-4
> > > Severity: serious
> > > Tags: squeeze sid
> > > User: debian***@*ists.debian.org
> > > Usertags: qa-ftbfs-20101207 qa-ftbfs
> > > Justification: FTBFS on amd64
> > >
> > > Hi,
> > >
> > > During a rebuild of all packages in sid, your package failed to build on
> > > amd64.
> > >
> > > Relevant part:
> > >
> > >
> > >
> > > > Compilation failure
> > > > /build/user-libhibernate3-java_3.5.4.Final-4-amd64-X7BsRy/libhibernate3-java-3.5.4.Final/entitymanager/src/main/java/org/hibernate/ejb/criteria/path/AbstractPathImpl.java:
> > > > invalid inferred types for M; inferred type does not conform to
> > > > declared bound(s)
> > > > inferred: java.util.Map<K,V>
> > > > bound(s): java.util.Map<capture#829 of ?,capture#332 of ?>
> >
> > Hi,
> >
> > The relevant error message is the one shown above.
> >
> > I suspect this failure is because IcedTea 1.8.2 got more
> > strict with type inference and generics code. I say this
> > since I can rebuild this package without problems with
> > 1.8.1. Thus, this FTBFS is present in sid and squeeze.
> >
> > This bug seems to be very similar to #602362.
> > The problematic code involves the usage of Java generics and
> > since I'm not very experienced with that kind of code I'm
> > asking for help.
> >
> > Additionaly, the patch debian-changes-3.5.4.Final-4 included
> > in the last upload seems incorrect to me. It reverts many
> > changes introduced in 3.5.4 to 3.5.2. I think this mistake
> > is due the upstream branch of the git repo where this
> > package is maintained is outdated.
> >

Cheers,
Juliensignature.ascDescription:Digital signature

Attachments:
attachment signature.asc (836 bytes)

Offline

  • Root
  • » Java
  • » squeeze blocker: Bug#606295: libhibernate3-java: FTBFS: maven-related errors [RSS Feed]

Board footer

Moderator control

Enjoy the 21st of August
PoweredBy

The Forums are managed by develissimo stuff members, if you find any issues or misplaced content please help us to fix it. Thank you! Tell us via Contact Options
Leave a Message
Welcome to Develissimo Live Support